Page MenuHomePhabricator

Stop using kludgy workaround for PayPal EC recurring
Closed, ResolvedPublic2 Story Points

Description

When we first implemented EC recurring, the old workflow would pop up for recurring even when we wanted the new one. So instead of setting up a recurring payment immediately, we did a single payment, followed by a recurring payment starting in one month.

https://phabricator.wikimedia.org/T134446#2286371

This is terrible because Donor Services can't find the subscription based on the initial payment, and the PayPal console has no good way to search subscriptions, only payments. [T170470]

Stop doing the workaround, and just set up a recurring payment starting now.

Details

Related Gerrit Patches:
mediawiki/extensions/DonationInterface : masterWIP use INITAMT for first payment
mediawiki/extensions/DonationInterface : masterPayPal EC recurring: initial donation is async
mediawiki/extensions/DonationInterface : masterPayPal EC recurring: initial charge is part of subscription

Event Timeline

Ejegg created this task.Jul 12 2017, 8:59 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 12 2017, 8:59 PM

Change 364903 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] PayPal EC recurring: initial charge is part of subscription

https://gerrit.wikimedia.org/r/364903

Ejegg triaged this task as High priority.Jul 12 2017, 9:49 PM
Ejegg moved this task from Backlog to Review on the Fundraising Sprint Murphy's Lawyer board.
Ejegg set the point value for this task to 2.
Ejegg added a comment.Jul 18 2017, 5:30 PM

Updates from a call with PayPal:
The old UI is 98-99% phased out. It's completely gone for the US and a lot of other countries. They will get us a list of the countries where it can still show up. It /does/ show up more often for recurring donors.

Change 364903 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] PayPal EC recurring: initial charge is part of subscription

https://gerrit.wikimedia.org/r/364903

Change 366472 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] WIP use INITAMT for first payment

https://gerrit.wikimedia.org/r/366472

Ejegg added a comment.Jul 21 2017, 4:19 PM

Clarification from PayPal on the phase out of the old UI:

it's still not a 100% ramp, and it'd likely be 6+ months until all use cases and errors no longer have to fallback.
all countries and nearly 96+% of integration use cases are ramped though.

Change 366870 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] PayPal EC recurring: initial donation is async

https://gerrit.wikimedia.org/r/366870

Change 366870 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] PayPal EC recurring: initial donation is async

https://gerrit.wikimedia.org/r/366870

Change 366472 abandoned by Ejegg:
WIP use INITAMT for first payment

https://gerrit.wikimedia.org/r/366472

Ejegg closed this task as Resolved.Aug 2 2017, 7:35 PM